<?
if(isset($_POST['nick']) && isset($_POST['email']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)==0)err_game("Неверный ник или Email");
else
{
$pass=rand(100000,999999);
$passmd=md5($pass);
mysql_query("UPDATE `kolhoz_user` SET `password` = '$passmd' WHERE `nick` = '".my_esc($_POST['nick'])."' LIMIT 1");
$id_reg=mysql_insert_id();
$subject = "Автологин от ".mysql_result(mysql_query("SELECT `nick` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."";
$regmail = "Здравствуйте, ".mysql_result(mysql_query("SELECT `nick` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0).".<br />
Ваш автологин (рекомендуем добавить его в закладки):<br />
<a href='http://$_SERVER[HTTP_HOST]/?myfarm&autologin=".mysql_result(mysql_query("SELECT `autologin` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."'>http://$_SERVER[HTTP_HOST]/?myfarm&autologin=".mysql_result(mysql_query("SELECT `autologin` FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `email` = '".my_esc($_POST['email'])."' LIMIT 1"),0)."</a><br />
Ваш новый пароль: $pass<br />
Приятной игры!<br />
С уважением, администрация сайта<br />
";
$adds="From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
//$adds = "From: <$set[reg_mail]>\n";
//$adds .= "X-sender: <$set[reg_mail]>\n";
$adds .= "Content-Type: text/html; charset=utf-8\n";
mail(my_esc($_POST['email']),'=?utf-8?B?'.base64_encode($subject).'?=',$regmail,$adds);

msg_game("Автологин отправлен на указаный Email");
}
}
?>
<div class="event">
<div><h1>Забыли пароль?</h1></div>
</div>
<div class="content">
<div class="block">
<span class="small">Укажите свои ник и Email (Email должен совпадать с тем, который Вы указали в своём профиле). На указанный адрес будет отправлен автологин от вашего аккаунта.</span>
</div>
<div class="block">
<form method="post">
<ul>
<li>
<label>Ник:<br>
<input type="text" value="" name="nick">
</label>
</li>
<li class="pt">
<label>Email:<br>
<input type="text" value="" name="email">
</label>
</li>
<li class="pt">
<input type="submit" value="Отправить">
</li>
</ul>
</form>
</div>
<div class="block event">
<img width="16" height="16" src="images/icons/back.png" alt="o"> <a href="/">В начало</a>
</div>
</div>
<?
echo "<div class='block event'>";
echo "Онлайн <span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '".(time()-600)."'"), 0)."</span>, регистраций
<span class='title'>".mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0)."</span></div>";
echo "</div>";
echo "<div></div><div style='text-align:center;' class='pt small minor'>Добавь в закладки";
echo " <a href='http://$_SERVER[HTTP_HOST]' class='epic'><span>$_SERVER[HTTP_HOST]</span></a><br>";
exit;
?>